## com.sun.jersey.core.spi.component
Class ProviderServices

    java.lang.Object
      com.sun.jersey.core.spi.component.ProviderServices

    public class ProviderServices

extends java.lang.Object

Combines access to provider instances given a set of provider classes, a set of provider instances and providers registered in META-INF/services.

Author:
  Paul.Sandoz@Sun.Com

Nested Class Summary
`class` `ProviderServices.ProviderClass`
`static interface` `ProviderServices.ProviderListener<T>`

Constructor Summary
`ProviderServices(java.lang.Class<? extends ConstrainedToType> constraintToType, ProviderFactory componentProviderFactory, java.util.Set<java.lang.Class<?>> providers, java.util.Set<?> providerInstances)` Create the provider services.
`ProviderServices(ProviderFactory componentProviderFactory, java.util.Set<java.lang.Class<?>> providers, java.util.Set<?> providerInstances)` Create the provider services.

Method Summary
`ProviderFactory` `getComponentProviderFactory()`

`

`<T> java.util.List<T>`

`

`getInstances(java.lang.Class<T> provider, java.lang.Class<? extends T>[] classes)`

`

`<T> java.util.List<T>`

`

`getInstances(java.lang.Class<T> provider, java.lang.String[] classNames)`

`

`<T> java.util.Set<T>`

`

`getProviders(java.lang.Class<T> provider)`

`

`<T> void`

`

`getProviders(java.lang.Class<T> provider, ProviderServices.ProviderListener listener)`

`

`<T> java.util.Set<T>`

`

`getProvidersAndServices(java.lang.Class<T> provider)`

`

`<T> void`

`

`getProvidersAndServices(java.lang.Class<T> provider, ProviderServices.ProviderListener listener)`

`

`<T> java.util.Set<T>`

`

`getServices(java.lang.Class<T> provider)`

`void` `update(java.util.Set<java.lang.Class<?>> providers, java.util.Set<?> providerInstances, InjectableProviderFactory ipf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProviderServices

    public ProviderServices(ProviderFactory componentProviderFactory,
                            java.util.Set<java.lang.Class<?>> providers,
                            java.util.Set<?> providerInstances)

  Create the provider services.

  Parameters:
    `componentProviderFactory` -
    `providers` -
    `providerInstances` -

### ProviderServices

    public ProviderServices(java.lang.Class<? extends ConstrainedToType> constraintToType,
                            ProviderFactory componentProviderFactory,
                            java.util.Set<java.lang.Class<?>> providers,
                            java.util.Set<?> providerInstances)

  Create the provider services.

  Parameters:
    `constraintToType` -
    `componentProviderFactory` -
    `providers` -
    `providerInstances` -

Method Detail

### update

    public void update(java.util.Set<java.lang.Class<?>> providers,
                       java.util.Set<?> providerInstances,
                       InjectableProviderFactory ipf)

### getComponentProviderFactory

    public ProviderFactory getComponentProviderFactory()

### getProviders

    public <T> java.util.Set<T> getProviders(java.lang.Class<T> provider)

### getServices

    public <T> java.util.Set<T> getServices(java.lang.Class<T> provider)

### getProvidersAndServices

    public <T> java.util.Set<T> getProvidersAndServices(java.lang.Class<T> provider)

### getProviders

    public <T> void getProviders(java.lang.Class<T> provider,
                                 ProviderServices.ProviderListener listener)

### getProvidersAndServices

    public <T> void getProvidersAndServices(java.lang.Class<T> provider,
                                            ProviderServices.ProviderListener listener)

### getInstances

    public <T> java.util.List<T> getInstances(java.lang.Class<T> provider,
                                              java.lang.String[] classNames)

### getInstances

    public <T> java.util.List<T> getInstances(java.lang.Class<T> provider,
                                              java.lang.Class<? extends T>[] classes)

Copyright © 2017 Oracle Corporation. All Rights Reserved.